net.minecraft.server.management

## Class LowerStringMap

- java.lang.Object
- - net.minecraft.server.management.LowerStringMap

- All Implemented Interfaces:
    Map

      public class LowerStringMap
      extends Object
      implements Map

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LowerStringMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(Object par1Obj)`
    `boolean` | `containsValue(Object par1Obj)`
    `Set` | `entrySet()`
    `Object` | `get(Object par1Obj)`
    `boolean` | `isEmpty()`
    `Set` | `keySet()`
    `Object` | `put(Object par1Obj, Object par2Obj)`
    `void` | `putAll(Map par1Map)`
    `Object` | `putLower(String par1Str, Object par2Obj)` a map already defines a general put
    `Object` | `remove(Object par1Obj)`
    `int` | `size()`
    `Collection` | `values()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### LowerStringMap

          public LowerStringMap()

  - ### Method Detail

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map`

    - #### containsKey

          public boolean containsKey(Object par1Obj)

      Specified by:
        `containsKey` in interface `Map`

    - #### containsValue

          public boolean containsValue(Object par1Obj)

      Specified by:
        `containsValue` in interface `Map`

    - #### get

          public Object get(Object par1Obj)

      Specified by:
        `get` in interface `Map`

    - #### putLower

          public Object putLower(String par1Str,
                        Object par2Obj)

      a map already defines a general put

    - #### remove

          public Object remove(Object par1Obj)

      Specified by:
        `remove` in interface `Map`

    - #### putAll

          public void putAll(Map par1Map)

      Specified by:
        `putAll` in interface `Map`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map`

    - #### keySet

          public Set keySet()

      Specified by:
        `keySet` in interface `Map`

    - #### values

          public Collection values()

      Specified by:
        `values` in interface `Map`

    - #### entrySet

          public Set entrySet()

      Specified by:
        `entrySet` in interface `Map`

    - #### put

          public Object put(Object par1Obj,
                   Object par2Obj)

      Specified by:
        `put` in interface `Map`